local sqlite = require 'sqlite'

-- change the locations of the VMD and DB files as required
-- in this case (no path specified) the path defaults to the Iguana install directory
-- NOTE: you must use an absolute path for the VMD if it is not in the Iguana install directory
local SQLITE_DB='demo.sqlite'
-- NOTE: the vmd must be in XML format (not binary format)
local VMD_FILE='demo.vmd'

function main(Data)
   -- create tables and then read from master file to show tables exist
   sqlite.CreateVMDTables(SQLITE_DB, VMD_FILE)
   conn:query('SELECT * FROM sqlite_master')
   
   -- insert data and then read it
   conn:execute{sql='DELETE FROM patient',live=true}
   conn:execute{
      sql=[[INSERT INTO patient(Id,GivenName, LastName, Race)
      VALUES(1,"Fred", "Smith", "Martian")]],
      live=true}
   conn:query('SELECT * FROM patient')
   
   conn:execute{sql='DELETE FROM kin',live=true}
   conn:execute{
      sql=[[INSERT INTO kin(Relationship, FirstName, LastName)
      VALUES("wife", "Ellen", "Smith")]],
      live=true}
   conn:query('SELECT * FROM kin')
end